Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81445 - SMP kernel fails to see second physical CPU with hyperthreading disabled.
Summary: SMP kernel fails to see second physical CPU with hyperthreading disabled.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-09 16:16 UTC by Larry Troan
Modified: 2016-04-18 09:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-05 16:31:52 UTC


Attachments (Terms of Use)

Description Larry Troan 2003-01-09 16:16:57 UTC
SMP kernel fails to see second physical CPU with hyperthreading disabled 

Operating System: Red Hat 8.1 Beta 1

Details:
Server (and Generation): ML370-G3
Rom version: P28 (8/16/2002)  
Processor info (class, speed & number of processors): 2 - 2.2GHz/512KB Xeons
Memory (amount only): 512M
What cards are installed and slot locations (also include firmware versions):  
  Base configuration
  Broadcom NetXtreme boot rom v2.2.7

Drive locations: Internal bays 0 and 1 (9.1GB each)

Boot controller:  3.02.01 Compaq Ultra 3 (Adaptec)

Steps to reproduce:
1) Disable hyperthreading in RBSU
2) Install the OS (text-mode)
3) After installation, prompted to load either SMP or UP kernel by grub, choose SMP.
4) cat /proc/cpuinfo, reports only one CPU instead of 2.
5) init 6, enabled hyperthreading in RBSU and repeat step 3.
6) cat /proc/cpuinfo, reports four (4) CPUs now.

uname -a output: Linux ml370g3 2.4.19-0.pp.15smp #1 SMP Thu Nov 14 13:57:02 EST
2002                  i686 i686 i386 GNU/Linux

Is the issue reproducible? Yes, repeatable on this system, as well as the 380-G3.  

Workaround: None found.
----------
Action by: Bryan.Leopard
Issue Registered
----------
Action by: arjanv
please try "acpi=off noht" as kernel option.
If that fixes it your ACPI bios has a bug where it enumerates CPU's wrong.

Status set to: Waiting on Client

----------
Action by: Bryan.Leopard
That does work, in the sense that it allows the system to see
both physical processors, but HT is obviously still an issue.  

Status set to: Waiting on Tech

Comment 1 Larry Troan 2003-01-09 16:17:58 UTC
Issue Tracker 11856

Comment 2 Arjan van de Ven 2003-01-10 09:41:34 UTC
please retry this with the rawhide kernel; the HT cpu enumeration is
significantly modified there.

Comment 3 Arjan van de Ven 2003-04-05 16:31:52 UTC
closed due to inactivity in NEEDINFO


Note You need to log in before you can comment on or make changes to this bug.